For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETList block trades
        • POSTCreate block trade
        • GETGet block trade
        • DELCancel block trade
        • POSTExecute block trade
        • GETGet block trade offers
        • POSTCreate block trade offer
        • GETGet specific block trade offer
        • DELCancel block trade offer
        • POSTExecute individual offer
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceBlock Trades

Cancel block trade offer

DELETE
https://api.testnet.paradex.trade/v1/block-trades/:block_trade_id/offers/:offer_id
DELETE
/v1/block-trades/:block_trade_id/offers/:offer_id
$curl -X DELETE https://api.testnet.paradex.trade/v1/block-trades/block_trade_id/offers/offer_id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "status": "CANCELLED",
3 "message": "Offer 8f3a2b7c-4d9e-4f1a-9b2e-1c3d5e6f7a8b has been successfully cancelled."
4}

Cancel a pending offer for a block trade.

Only the offering account can cancel their own offer if it’s in a cancellable state and the parent block trade is still active.

Returns: Success message confirming offer cancellation. Status updated to CANCELLED.

Was this page helpful?
Previous

Execute individual offer

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

block_trade_idstringRequired
Parent Block Trade ID
offer_idstringRequired
Offer ID

Response

OK

Errors

400
Bad Request Error